#!/usr/bin/perl -w

my $usage = <<EOF;
Usage: shorten.pl OFFSET <INFILE.XML >OUTFILE.XML

Strip all `entry tags' on infile.xml after OFFSET except the last.
EOF

use strict;
use XML::DOM;

if ($#ARGV != 0) {
  print STDERR $usage;
  exit 1;
}

my $parser = new XML::DOM::Parser;
my $doc = $parser->parse (*STDIN);

my $offset = $ARGV[0];
my $nodes = $doc->getElementsByTagName ("entry");

for my $num (0 .. $nodes->getLength-1) {
    my $pnode = $nodes->item($num);

    if ($num > $offset-1 && $num != $nodes->getLength-1) {
	$pnode->getParentNode->removeChild($pnode);
    }
}

print $doc->toString;
