;;; xmlblog.el --- skeletons for XMLblogs

;; Copyright (C) 2003 Christian Neukirchen

;; Author: Christian Neukirchen <chneukirchen@yahoo.de>
;; Maintainer: Christian Neukirchen <chneukirchen@yahoo.de>
;; Created: 08 Mar 2003
;; Version: 0.1
;; Keywords: wp, hypermedia

;; This file is *NOT* part of GNU Emacs.

;; XMLblog is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; XMLblog is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs; see the file COPYING.  If not, write to the
;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
;; Boston, MA 02111-1307, USA.

;;; Commentary:

;; These skeletons ease the making of XMLblogs.

;;; Code:
(require 'skeleton)

(define-skeleton insert-xmlblog-entry
  "Insert a new XMLblog entry."
  t
  "<entry date=\""
          (downcase (format-time-string "%d%b%Y" (current-time))) "\"\n"
  "       title=\"" _ "\">\n"
  "  <content>\n"
  "  </content>\n"
  "  <attachments>\n"
  "  </attachments>\n"
  "</entry>")

(define-skeleton insert-xmlblog-picture
  "Insert a XMLblog picture tag."
  t
  "<picture desc=\"" _ "\" src=\"\" />")

(define-skeleton insert-xmlblog-link
  "Insert a XMLblog link."
  t
  "<link desc=\"" _ "\" src=\"\" />")

(define-skeleton insert-xmlblog-file
  "Insert a XMLblog file tag."
  t
  "<file desc=\"" _ "\" src=\"\" />")

;;; xmlblog.el ends here

